Get WorkflowTask by ID
Get a single WorkflowTask by ID.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
workflow_task_id
ID of the WorkflowTask.
Query parameters
returning
Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
omit
Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.
Response
OK
__typename
archiveReason
archived
assignee
The assignee of this task
childTasks
All descendants of a root task in a flowchart. This will be empty if this task is not a root task.
clonedFrom
The task that this task was cloned from
createdAt
creator
displayId
User-friendly ID of the workflow task
executionEntry
The entry that this task is executed in. This is only non-null for tasks with an ENTRY execution type.
executionType
The method by which the task of the workflow is executed
id
modifiedAt
name
rootWorkflowTasks
All root tasks of the flowchart(s) that this task is a part of. A task may be associated with more than one root task when branches rooted at different flowchart tasks are pooled together.
scheduledOn
The date on which the task is scheduled to be executed
schema
schemaFields
status
The status of this task
workflowOutputs
The outputs of this task
workflowTaskGroup
The task group that this task is a part of
Errors
400
Workflow Task Get Request Bad Request Error
403
Workflow Task Get Request Forbidden Error
404
Workflow Task Get Request Not Found Error
429
Workflow Task Get Request Too Many Requests Error
500
Workflow Task Get Request Internal Server Error